GDB (xrefs)

Public Attributes | List of all members
protocol_feature Struct Reference

## Public Attributes
const char * | name
enum packet_support | default_support
void(* | func )(const struct protocol_feature *, enum packet_support, const char *)
int | packet

## Detailed Description

Definition at line 4476 of file remote.c.

## Member Data Documentation

## ◆ default_support

enum packet_support protocol_feature::default_support

Definition at line 4482 of file remote.c.

Referenced by remote_query_supported().

## ◆ func

void(* protocol_feature::func) (const struct protocol_feature *, enum packet_support, const char *)

Definition at line 4493 of file remote.c.

Referenced by remote_query_supported().

## ◆ name

const char* protocol_feature::name

Definition at line 4479 of file remote.c.

Referenced by remote_packet_size(), and remote_supported_packet().

## ◆ packet

int protocol_feature::packet

Definition at line 4498 of file remote.c.

Referenced by remote_supported_packet().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/remote.c